Account Usage

Returns extended API usage stats for your account for the specified month and year, including efficacy reporting.

get

Returns extended API usage stats for your account for the specified month and year, including efficacy reporting. Note that current usage numbers may be up to 5 minutes behind.

Authorizations
AuthorizationstringRequired

The Enzoic API uses a basic auth scheme where the username is your API key and the password is your API secret.
See https://docs.enzoic.com/enzoic-api-developer-documentation/using-the-enzoic-api#api-authentication for more details.

Query parameters
monthintegerOptional

(Optional) The numeric month you wish to retrieve data for (1-12). Defaults to the current month.

Default: <current month>Example: 10
yearintegerOptional

(Optional) The full year you wish to retrieve data for (e.g. 2023). Defaults to the current year.

Default: <current year>Example: 2023
Responses
chevron-right
200

The response contains requested usage statistics.

application/json
apiCallUsageintegerOptional

The total number of API calls made on your account

Example: 443644
passwordAPICallsintegerOptional

The number of Passwords API calls made during the specified billing period

Example: 438364
passwordAPIMatchesintegerOptional

The number of matches returned by the Passwords API during the specified billing period. This can be used as a rough estimate for what percentage of the time a password was rejected.

Example: 344697
credentialsAPICallsintegerOptional

The number of Credentials API checks made during the specified billing period

Example: 120831
credentialsAPIMatchesintegerOptional

The number of matches returned by the Credentials API during the specified billing period. This can be used as a rough estimate for what percentage of the time a set of credentials was found to be compromised.

Example: 10219
exposuresAPICallsintegerOptional

The number of Exposures API calls made during the specified billing period

Example: 23099
exposuresAPIMatchesintegerOptional

The number of matches returned by the Exposures API during the specified billing period.

Example: 17833
get
/account-usage
200

The response contains requested usage statistics.

Last updated

Was this helpful?